Bug 1374 - wmnd-0.4.3 has lost some functionality
: wmnd-0.4.3 has lost some functionality
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/wmnd)
: unstable
: all Linux
: P5 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-10-08 16:27 by
Modified: 2005-01-11 13:25 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-10-08 16:27:58
Alexey, Wave++ seems to break what\'s lost :-/

For now, -i option seems to have been broken (=> menufile needs at least s/-i/-I/); when started with no arguments on a system with eth0/eth1, it would go to \"off\" mode with no chance of switching ifname with a click.

---

---

Wave++ needs fixing :-/
------- Comment #1 From 2002-10-08 21:30:27 -------
пока не могу воспроизвести:
$ wmnd -i eth0
wmnd [linux_proc]: detected eth0
wmnd [linux_proc]: detected ppp0
wmnd [testing_dummy]: detected off
<появляется wmnd с монитором eth0>

$ wmnd -i ppp0
wmnd [linux_proc]: detected eth0
wmnd [linux_proc]: detected ppp0
wmnd [testing_dummy]: detected off
<появляется wmnd с монитором ppp0>

при щелчке на название интерфейса происходит перебор eth0/ppp0/off без
проблем.

$ wmnd -I eth0
wmnd [linux_proc]: detected eth0
wmnd [testing_dummy]: detected eth0
<появляется wmnd с монитором eth0>

$ wmnd -I ppp0
wmnd [linux_proc]: detected ppp0
wmnd [testing_dummy]: detected ppp0
<появляется wmnd с монитором ppp0>

Переключение не работает, всегда мониторится только один интерфейс.

Насчёт Wave++, пожалуйста поподробней, куда смотреть? :)
------- Comment #2 From 2002-10-08 21:30:27 -------
пока не могу воспроизвести:
$ wmnd -i eth0
wmnd [linux_proc]: detected eth0
wmnd [linux_proc]: detected ppp0
wmnd [testing_dummy]: detected off
<появляется wmnd с монитором eth0>

$ wmnd -i ppp0
wmnd [linux_proc]: detected eth0
wmnd [linux_proc]: detected ppp0
wmnd [testing_dummy]: detected off
<появляется wmnd с монитором ppp0>

при щелчке на название интерфейса происходит перебор eth0/ppp0/off без
проблем.

$ wmnd -I eth0
wmnd [linux_proc]: detected eth0
wmnd [testing_dummy]: detected eth0
<появляется wmnd с монитором eth0>

$ wmnd -I ppp0
wmnd [linux_proc]: detected ppp0
wmnd [testing_dummy]: detected ppp0
<появляется wmnd с монитором ppp0>

Переключение не работает, всегда мониторится только один интерфейс.

Насчёт Wave++, пожалуйста поподробней, куда смотреть? :)
------- Comment #3 From 2002-10-08 21:49:22 -------
Насколько я понял по еще одному письму в sisyphus@, проблема по крайней мере в
бинарной сборке из Sisyphus -- после локальной пересборки у него все OK.

trickster:~> wmnd
wmnd [testing_dummy]: detected off

trickster:~> wmnd -i eth1
wmnd [testing_dummy]: detected off
------- Comment #4 From 2002-10-08 21:49:22 -------
Насколько я понял по еще одному письму в sisyphus@, проблема по крайней мере в
бинарной сборке из Sisyphus -- после локальной пересборки у него все OK.

trickster:~> wmnd
wmnd [testing_dummy]: detected off

trickster:~> wmnd -i eth1
wmnd [testing_dummy]: detected off
------- Comment #5 From 2002-10-15 00:00:15 -------
fixed in wmnd-0.4.3-alt2
------- Comment #6 From 2002-10-15 00:00:15 -------
fixed in wmnd-0.4.3-alt2